# Render pre-create ad previews

Renders pre-create ad previews. Works with Meta Ads.

```http
POST https://api.pozy.ai/v1/ads/preview
```

- Area: Ads / Ad Creatives
- Auth: Authorization: Bearer pz_live_...

## Request body

Content type: `application/json`

- `accountId`, string, required
- `adAccountId`, string, required
- `formats`, array of string: At least 1 item. Up to 10 items
- `existingCreativeId`, string
- `creativeSpec`, object

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/ads/preview" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "accountId": "696e0b682d0a31188e7a2ba9",
  "adAccountId": "666219aad7bab67ace411e4f"
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/ads/preview", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    accountId: "696e0b682d0a31188e7a2ba9",
    adAccountId: "666219aad7bab67ace411e4f"
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/ads/preview",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "accountId": "696e0b682d0a31188e7a2ba9",
        "adAccountId": "666219aad7bab67ace411e4f",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `previews`, array of object
  - `format`, string
  - `html`, string: Can be null

```json
{
  "previews": [
    {
      "format": "string",
      "html": "string"
    }
  ]
}
```
